Subject: Re: bug#14771: 24.3.50; Unable to scroll one line at time at window edges.

From: Jan Djärv <[email-masked]>
Date: Tue, 2 Jul 2013 20:11:59 +0200

Hello.

2 jul 2013 kl. 19:52 skrev Eli Zaretskii <[email-masked]>:

>> Date: Tue, 02 Jul 2013 10:32:28 -0700
>> From: Keith David Bershatsky <[email-masked]>
>> 
>> Within a recent revision to the Emacs Trunk (probably the last month or so), the default behavior of scrolling one line at a time when reaching the window edges (top / bottom) was disabled.  (setq scroll-step 1) does not fix this.  Setting scroll-conservatively to a high number works only with the down arrow key, but the up arrow key causes emacs to temporarily freeze when reaching the top window edge -- i.e., the dreaded spinning wheel on OSX.
> 
> Setting scroll-step to 1 does what I expect for me, and so does
> setting scroll-conservatively to a large number.  However, I don't
> have access to OSX to test there.  (These features work on
> display-independent level, though, so I'm unsure how a different
> system can explain the problems.)
> 
> Can you show a minimal recipe, starting from "emacs -Q", to reproduce
> this?

(setq scroll-step 1) works fine on OSX 10.8 here, so something else must be the problem.

	Jan D.